package net.wanji.databus.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName CrossSchemeOptLog
 * @Description 方案
 * @Author zhouleilei
 * @Date 2024/11/23 14:23
 */
@Data
public class CrossSchemeRingsToStagesPO {

    @ApiModelProperty(value = "路口编号")
    private String crossId;

    @ApiModelProperty(value = "方案号")
    private String schemeId;

    @ApiModelProperty(value = "环数")
    private String ringCount;

    @ApiModelProperty(value = "周期长，单位秒")
    private String cycleLen;

    @ApiModelProperty(value = "相位差")
    private String offset;

    @ApiModelProperty(value = "绿信比")
    private String split;

    @ApiModelProperty(value = "划分后的相位")
    private List<Phase> phaseList;
    @Data
    public static class Phase {
        @ApiModelProperty(value = "相位编号")
        private String phaseNo;

        @ApiModelProperty(value = "阶段对应的相位号")
        private String phaseList;

        @ApiModelProperty(value = "相位时长")
        private Integer phaseTime;
    }

}
